## writeboost 1.20170616

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

default: all
all: man/writeboost.8

man/writeboost.8:
	pod2man -s8 --stderr --utf8 sbin/writeboost $@ || rm -fv $@

clean:
	rm -fv man/writeboost.8

#install: all
#	install --preserve-timestamps --verbose

.PHONY: test test_man
test: test_man
	sh -n sbin/writeboost

test_man: man/writeboost.8
	@for M in writeboost.8 writeboosttab.5; do \
            echo "Checking $$M" ;\
            lexgrog "man/$$M" || break  ;\
            W=$$(man --warnings -E UTF-8 -l -Tutf8 -Z "man/$$M" 2>&1 >>/dev/null) ;\
            if [ -n "$$W" ]; then echo "$$W"; break; fi ;\
        done

## writeboost 1.20150630

=== debian/changelog ===
writeboost (1.20150630-1) unstable; urgency=low

  * Initial release (Closes: #790653).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Jul 2015 11:06:44 +1000

=== debian/control ===
Source: writeboost
Section: utils
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
Standards-Version: 3.9.6
Homepage: https://gitlab.com/onlyjob/writeboost
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/writeboost.git
Vcs-Git: git://anonscm.debian.org/collab-maint/writeboost.git

Package: writeboost
Architecture: all
Depends: ${misc:Depends}
        ,dmsetup
        ,dm-writeboost-dkms
Recommends: kmod
Enhances: dm-writeboost-dkms
Description: utility to manage mappings of dm-writeboost devices
 Writeboost is a utility to activate dm-writeboost device mappings.
 .
 dm-writeboost is an OS-level IO controller that builds logs from in-coming
 writes (data and metadata) and then writes the logs sequentially similar
 to log-structured filesystem. As a further extension, dm-writeboost
 supports read-caching which also writes data sequentially.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
##export DH_VERBOSE=1

%:
	dh $@ --with systemd

override_dh_installinit:
	dh_installinit --name writeboost

## writeboost 1.20160718

=== debian/changelog ===
writeboost (1.20160718-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * Standards-Version: 3.9.8.
  * Vcs URLs to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Jul 2016 19:36:09 +1000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-systemd (>= 1.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://gitlab.com/onlyjob/writeboost
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/writeboost.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/writeboost.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/writeboost.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/writeboost.git
 
 Package: writeboost
 Architecture: all

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
filenamemangle=s{.*\.tar\.gz\?ref=v?(\d\S*)}{writeboost-$1\.tar\.gz}g \
 https://gitlab.com/onlyjob/writeboost/tags  .*archive\.tar\.gz\?ref=v?(\d\S*)

## writeboost 1.20170616

=== debian/changelog ===
writeboost (1.20170616-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 17:16:51 +0100

writeboost (1.20170616-1) unstable; urgency=medium

  * New upstream release.
    + No longer uses deprecated "--getsize" (Closes: #838293).
      Thanks, Teodor Milkov.
  * debhelper & compat to version 11
  * Standards-Version: 4.1.4
  * VCS URLs to Salsa.
  * watch file to version 4

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 28 Jun 2018 18:40:39 +1000

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ##export DH_VERBOSE=1
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_installinit:
 	dh_installinit --name writeboost

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://gitlab.com/onlyjob/writeboost/tags \
  .*/v?(\d[\.\d]*)/writeboost-v?(?:\d[\.\d]*)\.tar\.bz2
